> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Send one or more signals for indexing



## OpenAPI

````yaml /api-reference/4.2/service-query-profiles.json post /query/{id}/signals
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service query-profiles
servers:
  - url: /api/apollo/
security: []
tags:
  - name: query-profiles
paths:
  /query/{id}/signals:
    post:
      tags:
        - 4.2 Query Profiles API
      summary: Send one or more signals for indexing
      operationId: submitSignal
      parameters:
        - name: id
          in: path
          description: The profile's ID
          required: true
          schema:
            type: string
        - name: pipeline
          in: query
          description: >-
            An optional parameter to define a specific index pipeline to be used
            while indexing these signals. If none is defined, the pre-configured
            `_signals_ingest` pipeline will be used.  Note that the index
            pipeline must end with a Solr Indexer stage, and in this stage the
            `enforce_schema` property must be set to 'true'.
          required: false
          schema:
            type: string
        - name: commit
          in: query
          description: '''True'' to commit to Solr at the end of indexing.'
          required: false
          schema:
            type: boolean
        - name: async
          in: query
          description: >-
            'True' to index signals in asynchronous mode, which issues an
            autoCommit and does not report failures.
          required: false
          schema:
            type: boolean
            default: false
      requestBody:
        content:
          application/json:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/Event'
        description: JSON-formatted signals data
      responses:
        default:
          description: successful operation
components:
  schemas:
    Event:
      type: object
      properties:
        id:
          type: string
        epoch:
          type: integer
          format: int64
        timestamp:
          type: string
        type:
          type: string
        params:
          type: object
          additionalProperties:
            type: object

````